Bug 300841 - iptables placed AFTER network interface initialization
iptables placed AFTER network interface initialization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 13:23 EDT by Gabor Kovacs
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 05:47:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabor Kovacs 2007-09-21 13:23:11 EDT
Description of problem:
Iptables-1.3.8-2.fc7 is placed as an S26 (instead of S08) service by chkconfig
to /etc/rc.d/rcX.d/. This is definitely after bringing up network interfaces
which is undesirable. 

Steps to Reproduce:
1. Update to iptables-1.3.8-2.fc7
2. chkconfig --del iptables
3. chkconfig --add iptables
  
Actual results:
I get S26iptables in /etc/rc.d/rc3.d while having S10network.

Expected results:
SXXiptables number should be less than SXXnetwork.

Additional info:
In /etc/rc.d/init.d there is:
# Required-Start: $local_fs
local_fs is seemed to be provided by netfs, and this causes chkconfig to put
iptables after it in boot order.
Comment 1 Thomas Woerner 2007-09-25 05:47:52 EDT
Fixe din updates in package iptables-1.3.8-2.1 or newer.

Note You need to log in before you can comment on or make changes to this bug.